---
updatedAt: 2025-11-12T00:59:37.000Z
agentTools:
  projectIndex: https://docs.blockberry.one/llms.txt
---

# How To Use

Blockberry API Guide: Learn how to create and test your first App, and navigate docs.

# Generating API Keys

To use Blockberry API, you will need to obtain an API key. To do this, visit the [API User Portal](https://api.blockberry.one/) and create an account.

<Image align="center" src="https://files.readme.io/9791ffb29aa5e35aaf90f3b28f2e7e6b3e56ec8f72bf0c16c16a352def627141-__2024-10-07_154108.png" />

![](https://files.readme.io/c3022f3-image.png)

Once you have an account, an API key will be automatically generated.

<Image align="center" src="https://files.readme.io/dea24d8f1f6e0d6b541c337c052dcf5575ffa16f2fe4ad2ae23e5bf54600880a-2.png" />

With your API key by default, you subscribe to a free pricing plan (see Pricing Plans).

The number of keys you can generate in one profile is limited to 3 in the free plan. Each key is used for a separate app (project). Paid plans offer more keys per profile, so you can create more apps using Blockberry API.

# API Docs: How to Use

For each endpoint, there’s a separate page. To make a successful query:

1. Enter a valid API key in the Authorization Header.

<Image align="center" src="https://files.readme.io/259607c-How_to_use_1.png" />

2. Enter query parameters. There are two types of parameters: required and optional. You must enter valid values of all the necessary parameters in the query fields. As for optional parameters, you may ignore them or make your request more specific. Then click the “Try It” button to create a query.

<Image align="center" src="https://files.readme.io/3bb1808-How_to_use_2.png" />

3. You can view response parameters in the Response section.

   <Image align="center" src="https://files.readme.io/4e6d399-How_to_use_3.png" />

<Image align="center" src="https://files.readme.io/bf55f47-How_to_use_4.png" />

4. View the response in JSON format.

   <Image align="center" src="https://files.readme.io/2447670-How_to_use_5.png" />

# API User Portal

We developed a user portal for our API on which you can:

* Generate API keys

<Image align="center" src="https://files.readme.io/31665295f299aa9efc7e0e839593974c2c3c2b1da47c79847970be20431379ee-__2024-10-07_154108.png" />

* Track the status of your current API credits and upgrade your pricing plan.

<Image align="center" src="https://files.readme.io/92b1128ed1ac731e474a6b191e5523174d92988290c7db87770ac036e4fe09a9-3.png" />

* Track your API key statistics.

<Image align="center" src="https://files.readme.io/9143c8ffc8f6aed2f950ed47195e56b6b2ea81807520ae23efe3ec59282eb7cf-4.png" />

* Track the requests you made under all your API keys (apps)

<Image align="center" src="https://files.readme.io/01f16dcb62803f64d0d8acc44e9a1151f73daa1c23ad59a74f8c371f9f7687b0-5.png" />

* View the cost of API endpoints in API Credits.

<Image align="center" src="https://files.readme.io/251c5e6813eaf01df099f139b582d20349376143e155bf9efd794b2b9acaa083-6.png" />